
% PROJECT:			Healthy, Wealthy, & Wise (AHEAD Data)
% FACULTY:			Daniel McFadden
% AUTHOR:			Peter Adams
% LAST UPDATE:		January 27, 2002
% PROGRAM DESC:	    Set BMI Better/Worse variables


bmi1=xxsim(:,32);
bmi2=nx2;
xbmi2=bmi2-bmi1;

% ------------------------------------------------------------------------------
% SET BMIBT (BETTER)
% ------------------------------------------------------------------------------

bmibt2=zeros(NOBS,1);
bmibt2=(bmi1<20 & bmi2>=20 & bmi2<=25) + ...
   (bmi1>25 & bmi2>=20 & bmi2<=25) + ...
   (bmi1<20 & bmi2<20 & xbmi2>=1) + ...
   (bmi1>25 & bmi2>25 & xbmi2<=-1);

% ------------------------------------------------------------------------------
% SET BMIWS (WORSE)
% ------------------------------------------------------------------------------

bmiws2=zeros(NOBS,1);
bmiws2=(bmi1<20 & bmi2>25) + ...
	(bmi1>25 & bmi2<20) + ...
   (bmi1>=20 & bmi1<=25 & bmi2<20) + ...
   (bmi1>=20 & bmi1<=25 & bmi2>25) + ...
   (bmi1<20 & bmi2<20 & xbmi2<=-1) + ...
   (bmi1>25 & bmi2>25 & xbmi2>=1);
