
config more[off]
spool file[p_hww24.out]


# PROJECT: 		Healthy, Wealthy, & Wise (AHEAD Data)
# FACULTY:		Dan McFadden
# AUTHOR:		Peter Adams
# LAST UPDATE:		February 08, 2003
# PROGRAM DESC:		Outfile Simulation Test Sample (ages 70-74)


load file[~/padams/hww/probit/hww123]

set zero=zero
set one=one

set missing=miss(one, as701, as801, q1wb1, q4wb1, q1ib1, q4ib1, \
	hs, coll, hoodpf1, condpf1, nevmarr1, widow1, divsep1, \
	magedie1, pagedie1, smokev, cancer1, heart1, stroke1, \
	lung1, diabet1, highbp1, arthrt1, incont1, fall1, hipfrc1, \
	proxyw1, cogim1, psych1, depres1, bmi1, lobmi1, hibmi1, \
	smoknow1, numadl1, numiadl1, dhlth1)
	
set valid=((white==1)&(agegrp1==1)&(missing==0))

	
# ====================================================================
# OUTFILE DATA
# ====================================================================

save file[junk] if[valid==1]

load file[junk]

save file[~/padams/hww/simul/rawdata/test] var[one as701 \
	as801 q1wb1 q4wb1 q1ib1 q4ib1 hs \
	coll hoodpf1 condpf1 nevmarr1 widow1 divsep1 magedie1 \
	pagedie1 smokev cancer1 heart1 stroke1 lung1 diabet1 \
	highbp1 arthrt1 incont1 fall1 hipfrc1 proxyw1 cogim1 \
	psych1 depres1 bmi1 lobmi1 hibmi1 smoknow1 numadl1 \
	numiadl1 dhlth1 \
	jcancer2 jheart2 jstroke2 tdied2 ilung2 idiabet2 ihighbp2 \
	iarthrt2 jincont2 jfall2 jhipfrc2 proxyw2 icogim2 ipsych2 \
	idepres2 bmi2 bmibt2 bmiws2 smoknow2 numadl2 numiadl2 dhlth2 \
	s_hs s_coll spas701 spas801 smagedi1 spagedi1 ssmokev \
	scancer1 sheart1 sstroke1 slung1 sdiabet1 shighbp1 \
	sarthrt1 sincont1 sfall1 shipfrc1 sproxyw1 scogim1 \
	spsych1 sdepres1 sbmi1 slobmi1 shibmi1 ssmoknw1 snumadl1 \
	snmiadl1 sdhlth1 \
	hhidpn hhid n2hhidw1 \
	male female agem1 married1 single1 \
	c_2w1 q_2wb1 c_2i1 q_2ib1 wlth1n wlth1 inc1n inc1 \
	dnhous1 zero] dbase

clear
load file[~/padams/hww/simul/rawdata/test] dbase
list


spool off
quit

